# TdApi.SetStickerKeywords (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetStickerKeywords

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetStickerKeywords

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetStickerKeywords

Enclosing class:
  TdApi

public static final class TdApi.SetStickerKeywords extends TdApi.Function<TdApi.Ok>
Changes the list of keywords of a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String[]`
`keywords`
List of up to 20 keywords with total length up to 64 characters, which can be used to find the sticker.
`TdApi.InputFile`
`sticker`
Sticker.

## Constructor Summary

Constructors
Constructor
Description
`SetStickerKeywords()`
Changes the list of keywords of a sticker; for bots only.
`SetStickerKeywords(TdApi.InputFile sticker, String[] keywords)`
Changes the list of keywords of a sticker; for bots only.
`SetStickerKeywords(DataInput input)`
Changes the list of keywords of a sticker; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
Sticker.

### keywords

public String[] keywords
List of up to 20 keywords with total length up to 64 characters, which can be used to find the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetStickerKeywords

public SetStickerKeywords()
Changes the list of keywords of a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

### SetStickerKeywords

public SetStickerKeywords(TdApi.InputFile sticker, String[] keywords)
Changes the list of keywords of a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

Parameters:
  `sticker` - InputFile Sticker.
  `keywords` - String[] List of up to 20 keywords with total length up to 64 characters, which can be used to find the sticker.

### SetStickerKeywords

public SetStickerKeywords(DataInput input) throws IOException
Changes the list of keywords of a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`